Bug 1013056 - RBAC: Enhanced behavior from read-operation-names and read-operation-description results
RBAC: Enhanced behavior from read-operation-names and read-operation-descript...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Domain Management (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ER6
: EAP 6.2.0
Assigned To: Kabir Khan
Ladislav Thon
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-27 13:34 EDT by Brian Stansberry
Modified: 2013-12-15 11:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:55:35 EST
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-1756 Major Resolved Add access-control parameter to read-operation-description operation 2015-07-03 02:37:07 EDT
JBoss Issue Tracker WFLY-2131 Major Resolved read-operation-names to return a filtered list of allowed operations 2015-07-03 02:37:07 EDT

  None (edit)
Description Brian Stansberry 2013-09-27 13:34:45 EDT
This is an RFE issue to consider backporting some minor RBAC-related features from WF to EAP.

For WF 8 we are adding two minor improvements to the management API description operations:

1) Ability to add an "access-control" parameter to the "read-operation-names" operation and if true (default is false) have the response exclude operations the user is not authorized to execute.

2) Ability to add an "access-control" parameter to the "read-operation-description" operation and if true (default is false) have the response include descriptive data re: the user's ability to execute the operation.


The much more commonly used read-resource-description operation already provides this information, which is why this is a minor feature we didn't target for 6.2.
Comment 6 Ladislav Thon 2013-10-21 05:53:57 EDT
Verified with EAP 6.2.0.ER6.

Note You need to log in before you can comment on or make changes to this bug.